@ECHO OFF
REM Example on how to run SequenceMiner in train test mode. Given a training file 
REM of sequences, SequenceMiner will produce a reference cluster file that can be 
REM applied to a test file of sequences.  This will result in a reference cluster
REM file, a cluster file for the test sequences and missing and extra elements for 
REM the test sequences.
@ECHO ON

java -jar ../dist/SequenceMiner.jar -i Sequences/TrainSeq.sqm -k 4 -n 2 -c 2 -a -o clustersRef.csv
java -jar ../dist/SequenceMiner.jar -i Sequences/TrainSeq.sqm -p clustersRef.csv -u Sequences/TestSeq.sqm
pause