/*
 * TUMaxMin.java
 *
 * Created on January 30, 2007, 10:47 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package turkov.math;

/**
 *
 * @author eturkov
 */
public abstract class TUMaxMin
{
    public static double getMaxValue(double[] collection)
    {
        double maxSoFar = Double.MIN_VALUE;
        for(int i = 0; i < collection.length; i++)
        {
            if(maxSoFar <= collection[i])
                maxSoFar = collection[i];
        }
        
        return maxSoFar;
    }
    
    public static double getMinValue(double[][] collection)
    {
        double minSoFar = Double.MAX_VALUE;
        for(int i = 0; i < collection.length; i++)
        {
            double minValue = getMinValue(collection[i]);
            if(minValue <= minSoFar)
                minSoFar = minValue;
        }
        
        return minSoFar;
    }    
    
    public static double getMaxValue(double[][] collection)
    {
        double maxSoFar = Double.MIN_VALUE;
        for(int i = 0; i < collection.length; i++)
        {
            double maxValue = getMaxValue(collection[i]);
            if(maxValue >= maxSoFar)
                maxSoFar = maxValue;
        }
        
        return maxSoFar;
    }
    
    public static double getMinValue(double[] collection)
    {
        double minSoFar = Double.MAX_VALUE;
        for(int i = 0; i < collection.length; i++)
        {
            if(minSoFar >= collection[i])
                minSoFar = collection[i];
        }
        
        return minSoFar;
    }        
}
